Available buyer market: Korean, Taiwan
Path
GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}/history
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/ordersheets/{shipmentBoxId}/history
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String |
Vendor ID
Unique code Coupang issues to seller
e.g.
A00012345
|
||||
| shipmentBoxId | O | Number |
Bundled shipping number
Available through PO list search API
|
||||
Request Example
Response Message
| Name | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number |
Server response code
|
||||||||||||||||||
| message | String |
Server response message
|
||||||||||||||||||
| data | Array |
Payment complete list
|
||||||||||||||||||
| shipmentBoxId | Number |
Bundled shipping number
|
||||||||||||||||||
| details | Array |
History details
|
||||||||||||||||||
| deliveryStatus | String |
Delivery status
|
||||||||||||||||||
| deliveryStatusDesc | String |
Delivery status description
|
||||||||||||||||||
| updatedAt | String |
Time changed
(Requires ISO-8601 Compliance) YYYY-MM-DDThh:mm:ss.ssssss±hh:mm |
||||||||||||||||||
Response Example
{
"shipmentBoxId": 123456789012345678,
"data": [
{
"deliveryStatus": "FINAL_DELIVERY",
"deliveryStatusDesc": "배송완료",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "DELIVERING",
"deliveryStatusDesc": "배송중",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "DEPARTURE",
"deliveryStatusDesc": "배송지시",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "INSTRUCT",
"deliveryStatusDesc": "상품준비중",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
},
{
"deliveryStatus": "ACCEPT",
"deliveryStatusDesc": "결제완료",
"updatedAt": "2025-01-15T14:17:13.973885-08:00"
}
]
}
Error Spec
| HTTP Status code (error type) | Error message | Solution |
|---|---|---|
| 400 (check request variable) | Invalid vendor ID |
Check if the vendor ID (vendorId) has been entered correctly. |
| 500 (check request variable) | Internal Exception |
Check if the bundled shipping number (shipmentBoxId) has been entered correctly. |
URL API Name
GET_ORDERSHEET_HISTORY